## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global __provides_exclude_from ^%{_libdir}/gala/.*\\.so$

Name:           gala
Version:        8.1.0
Release:        %autorelease
Summary:        Gala window manager
License:        GPL-3.0-or-later AND LGPL-3.0-or-later

URL:            https://github.com/elementary/gala
Source:         %{url}/archive/%{version}/gala-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.59
BuildRequires:  systemd-rpm-macros
BuildRequires:  vala >= 0.46
BuildRequires:  wayland-devel

%if 0%{?fedora} >= 41
BuildRequires:  pkgconfig(libmutter-15)
BuildRequires:  pkgconfig(mutter-clutter-15)
BuildRequires:  pkgconfig(mutter-cogl-15)
BuildRequires:  pkgconfig(mutter-cogl-pango-15)
BuildRequires:  pkgconfig(mutter-mtk-15)
%endif
%if 0%{?fedora} == 40
BuildRequires:  pkgconfig(libmutter-14)
BuildRequires:  pkgconfig(mutter-clutter-14)
BuildRequires:  pkgconfig(mutter-cogl-14)
BuildRequires:  pkgconfig(mutter-cogl-pango-14)
BuildRequires:  pkgconfig(mutter-mtk-14)
%endif

BuildRequires:  pkgconfig(atk-bridge-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0) >= 2.74.0
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.74.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.74.0
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(gobject-2.0) >= 2.74.0
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libhandy-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(sqlite3)

# gala's multitasking view is activated via dbus
Requires:       dbus

# GTK-based notifications use this new notifications server
Requires:       elementary-notifications

# https://bugzilla.redhat.com/show_bug.cgi?id=605675
Provides:       firstboot(windowmanager) = gala

%description
Gala is Pantheon's Window Manager, part of the elementary project.


%package        x11
Summary:        Gala window manager X11 support
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Requires:       gnome-session
Requires:       xorg-x11-server-Xorg

%description    x11
Gala is Pantheon's Window Manager, part of the elementary project.

This package contains the support files for running gala on X11.


%package        wayland
Summary:        Gala window manager Wayland support
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Requires:       gnome-session
Requires:       xorg-x11-server-Xwayland

%description    wayland
Gala is Pantheon's Window Manager, part of the elementary project.

This package contains the support files for running gala on Wayland.


%package        devel
Summary:        Gala window manager development files
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Gala is Pantheon's Window Manager, part of the elementary project.

This package contains the development headers.


%prep
%autosetup -n gala-%{version} -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang gala

# remove the specified stock icon from appdata (invalid in libappstream-glib)
sed -i '/icon type="stock"/d' %{buildroot}/%{_datadir}/metainfo/%{name}.metainfo.xml

# drop strange file from /etc/xdg
rm %{buildroot}/%{_sysconfdir}/xdg/io.elementary.desktop.wm.shell


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/gala*.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{name}.metainfo.xml


%post x11
%systemd_user_post io.elementary.gala@x11.service

%post wayland
%systemd_user_post io.elementary.gala@wayland.service

%preun x11
%systemd_user_preun io.elementary.gala@x11.service

%preun wayland
%systemd_user_preun io.elementary.gala@wayland.service

%postun x11
%systemd_user_postun io.elementary.gala@x11.service

%postun wayland
%systemd_user_postun io.elementary.gala@wayland.service


%files -f gala.lang
%license COPYING
%doc AUTHORS
%doc HACKING
%doc README.md

%{_bindir}/gala
%{_bindir}/gala-daemon
%{_bindir}/gala-daemon-gtk3

%{_libdir}/gala/
%{_libdir}/libgala.so.0
%{_libdir}/libgala.so.0.0.0

%{_datadir}/applications/gala*.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.desktop.gala.gschema.xml
%{_datadir}/glib-2.0/schemas/20_elementary.pantheon.wm.gschema.override
%{_datadir}/metainfo/%{name}.metainfo.xml

%{_userunitdir}/io.elementary.gala.target

%files x11
%{_userunitdir}/io.elementary.gala@x11.service

%files wayland
%{_userunitdir}/io.elementary.gala@wayland.service

%files devel
%{_includedir}/gala/

%{_libdir}/libgala.so
%{_libdir}/pkgconfig/gala.pc

%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gala.deps
%{_datadir}/vala/vapi/gala.vapi


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jan 11 2025 Fabio Valentini <decathorpe@gmail.com> - 8.1.0-1
- Update to version 8.1.0; Fixes RHBZ#2337153

* Wed Dec 04 2024 Fabio Valentini <decathorpe@gmail.com> - 8.0.4-1
- Update to version 8.0.4; Fixes RHBZ#2321849

* Wed Oct 16 2024 Fabio Valentini <decathorpe@gmail.com> - 8.0.1-1
- Update to version 8.0.1; Fixes RHBZ#2306037

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.3-6.20240416.gite138940
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 22 2024 Fabio Valentini <decathorpe@gmail.com> - 7.1.3-5.20240416.gite138940
- Bump to commit e138940 for better compatibility with mutter 46

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.3-4.20240113.git1550761
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.3-3.20240113.git1550761
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 7.1.3-2.20240113.git1550761
- Bump to commit 1550761 to add initial support for mutter 46.alpha

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 7.1.3-1
- update to version 7.1.3

* Thu Feb 18 2021 Fabio Valentini <decathorpe@gmail.com> - 3.3.2-8.20210218git625d40c
- Update override settings for new wingpanel binary name.

* Fri Feb 12 2021 Fabio Valentini <decathorpe@gmail.com> - 3.3.2-7.20210218.git625d40c
- Bump to commit 625d40c.
- Rebuilt for granite 6 soname bump.

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-6.git88e3294
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Oct 30 2020 Fabio Valentini <decathorpe@gmail.com> - 3.3.2-5.git88e3294
- Bump to commit 88e3294 on the tintou/mutter-7 branch.

* Sat Aug 29 2020 Fabio Valentini <decathorpe@gmail.com> - 3.3.2-4
- Initial port to mutter 3.38 (uglyyy hacks inside).

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu May 07 2020 Fabio Valentini <decathorpe@gmail.com> - 3.3.2-1
- Update to version 3.3.2.

* Sat Apr 25 2020 Fabio Valentini <decathorpe@gmail.com> - 3.3.1-1
- Update to version 3.3.1.

* Fri Apr 03 2020 Fabio Valentini <decathorpe@gmail.com> - 3.3.0-1
- Update to version 3.3.0.

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Kalev Lember <klember@redhat.com> - 3.2.0-2
- Rebuilt for libgnome-desktop soname bump

* Wed Jan 08 2020 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0.

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-0.31.20190712.gita790d2d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 21 2019 Kalev Lember <klember@redhat.com> - 0.3.1-0.30.20190712.gita790d2d
- Rebuilt for libgnome-desktop soname bump

* Tue Jul 16 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.29.20190712.gita790d2d
- Bump to commit a790d2d.

* Wed Jul 03 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.28.20190701.git5f1dbf1
- Bump to commit 5f1dbf1.

* Sat Jun 01 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.27.20190531.git1024813
- Bump to commit 1024813.

* Mon May 20 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.26.20190514.git3ae100d
- Bump to commit 3ae100d.

* Sat May 11 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.25.20190511.git4459c59
- Bump to commit 4459c59.

* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> - 0.3.1-0.24.20190307.git2c610b3
- Rebuild with Meson fix for #1699099

* Wed Mar 13 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.23.20190307.git2c610b3
- Bump to commit 2c610b3.

* Sun Mar 03 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.22.20190302.git395670e
- Bump to commit 395670e.

* Tue Feb 12 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.21.20190128.git1a96644
- Bump to commit 1a96644.

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-0.20.20190128.git6654145
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.19.20190128.git6654145
- Bump to commit 6654145.

* Sun Dec 16 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.18.20181216.git7f1e392
- Bump to commit 7f1e392.

* Fri Dec 07 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.17.20181205.git66a95e0
- Bump to commit 66a95e0.

* Mon Nov 26 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.16.20181122.gitcf8d455
- Bump to commit cf8d455.

* Sat Oct 20 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.15.20181020.gita1bad26
- Bump to commit a1bad26.

* Mon Oct 08 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.14.20181003.gitfeffbf8
- Make sure the right version of mutter is pulled in for builds.

* Mon Oct 08 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.13.20181003.gitfeffbf8
- Bump to commit feffbf8.

* Fri Sep 28 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.12.20180918.git9747bd6
- Bump to commit 9747bd6.

* Wed Sep 12 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.11.20180910.git1970bac
- Bump to commit 1970bac.

* Wed Sep 12 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.10.20180910.git2995cd6
- Bump to commit 2995cd6.

* Sun Sep 09 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.9.20180729.git15f722a
- Use mutter328 compat package for now.

* Thu Aug 02 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.8.20180729.git15f722a
- Bump to commit 15f722a.

* Fri Jul 13 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.7.20180710.git9502677
- Bump to commit 9502677.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-0.6.20180607.git985baa0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.5.20180607.git985baa0
- Rebuild for granite5 soname bump.

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.4.20180607.git985baa0
- Bump to commit 985baa0 and update default settings overrides.

* Sun Jun 03 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.3.20180603.git3661cbd
- Bump to commit 3661cbd.

* Tue May 01 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.2.20180430.gitf02b776
- Bump to commit f02b776.

* Sun Mar 18 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-0.1.20180318.gita71e8c1
- Bump to version 0.3.1 snapshots, commit a71e8c1.
- Remove obsolete ldconfig scriptlets.

* Thu Mar 15 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-2.20180314.git22f0d95
- Update to commit 22f0d95.

* Mon Mar 12 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1.20180311.git6d3253a
- Update to commit 6d3253a and switch to meson.

* Thu Feb 15 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git146.22e1.1
- Update to latest snapshot (git 146-22e1).

* Wed Feb 14 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git141.f90f.2
- Rebuild for libgnome-desktop soname bump.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-0.git141.f90f.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git141.f90f.1
- Update to latest snapshot (git 141-f90f).

* Tue Jan 23 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git140.d76c.1
- Update to latest snapshot (git 140-d76c).

* Sat Jan 06 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git139.439f.3
- Remove icon cache scriptlets, replaced by file triggers.

* Wed Dec 27 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git139.439f.2
- Add patch so window buttons match fedora's default layout.

* Wed Dec 27 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git139.439f.1
- Update to latest snapshot (git 139-439f).

* Tue Nov 21 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git138.a82b.1
- Update to latest snapshot (git 138-a82b).

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git136.60ee.2
- Rebuild for granite soname bump.

* Fri Oct 13 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git136.60ee.1
- Update to latest snapshot (git 136-60ee).

* Thu Sep 21 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git126.4fe5.1
- Update to latest snapshot (git 126-4fe5).

* Wed Aug 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git124.cd28.1
- Update to latest snapshot (git 124-cd28).

* Sat Aug 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git120.87f5a.1
- Update to latest snapshot (git 120-87f5a).

* Mon Jul 31 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.git119.c7d5.1
- Update to latest snapshot (git 119-c7d5).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-0.bzr567.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 20 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.bzr567.1
- Update to latest snapshot (rev 567).
- De-remove other configurations, now the .desktop files are valid again.

* Sat Feb 18 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.bzr562.1
- Update to latest snapshot (rev 562).
- Filter provides to exclude internal plugins.
- Remove explicit pkgconfig BR.
- Remove unsupported / broken configurations.
- Fix build with mutter-3.24.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-0.bzr552.4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.bzr552.4
- Make BR on /usr/bin/pkg-config explicit.

* Sat Jan 07 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.bzr552.3
- Put plugins and the plugin directory into the right respective subpackages.

* Thu Jan 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.bzr552.2
- Make sure no *.la files are in the packages.

* Thu Jan 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-0.bzr552.1
- Initial package.

## END: Generated by rpmautospec
